#
# spec file for package perl-Sort-Sub
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Sort-Sub
Version:        0.110
Release:        1.1
%define cpan_name Sort-Sub
Summary:        Collection of sort subroutines
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Sort-Sub/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERLANCAR/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Sort::Naturally)
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(parent)
Requires:       perl(Sort::Naturally)
Requires:       perl(Test::More) >= 0.98
Requires:       perl(parent)
%{perl_requires}

%description
Sort::Sub and 'Sort::Sub::*' are a convenient packaging of any kind of
subroutine which you can use for 'sort()'.

To use Sort::Sub, you import a list of:

 ["$"]NAME [ "<" [i][r] ">" ]

Where NAME is actually searched under 'Sort::Sub::*' namespace. For
example:

 naturally

will attempt to load 'Sort::Sub::naturally' module and call its
'gen_sorter' subroutine.

You can either request a subroutine name like the above or a variable name
(e.g. '$naturally').

After the name, you can add some options, enclosed with angle brackets
'<>'. There are some known options, e.g. 'i' (for case-insensitive sort) or
'r' (for reverse sort). Some examples:

 naturally<i>
 naturally<r>
 naturally<ri>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Mon Jan 15 2018 coolo@suse.com
- updated to 0.110
  see /usr/share/doc/packages/perl-Sort-Sub/Changes
* Wed Dec 21 2016 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Sort-Sub/Changes
  0.10    2016-12-18 (PERLANCAR)
  - [Incompatible change] Rename modules to by_* to be consistent
  with the convention.
  0.09    2016-12-18 (PERLANCAR)
  - Merge dist Sort-Sub-num_in_text (there's no reason why it should
  be a separate dist, no other deps).
  0.08    2016-12-17 (PERLANCAR)
  - No functional changes.
  - [dist] Use Pod::Weaver plugin Sort::Sub to generate Synopsis etc
  section.
* Sat Dec 17 2016 coolo@suse.com
- updated to 0.07
  see /usr/share/doc/packages/perl-Sort-Sub/Changes
  0.07    2016-12-16 (PERLANCAR)
  - sort_sub_ok(): Make testing of normal/i/r/ir optional depending
  on whether the corresponding expected output is specified.
  - [doc] Fix typo in Synopsis.
* Thu Jun  2 2016 coolo@suse.com
- initial package 0.06
  * created by cpanspec 1.78.08
